CREATE TABLE gse_invoice_lines_interface (
    INVOICE_ID                        NUMBER(18, 0)     NOT NULL,
    INVOICE_LINE_ID                   NUMBER(18, 0)     NOT NULL,
    LINE_NUMBER                       NUMBER(18, 0) ,
    LINE_TYPE_LOOKUP_CODE             VARCHAR2(100) ,
    LINE_GROUP_NUMBER                 NUMBER        ,
    AMOUNT                            NUMBER        ,
    ACCOUNTING_DATE                   DATE          ,
    DESCRIPTION                       VARCHAR2(960) ,
    PRORATE_ACROSS_FLAG               VARCHAR2(4)   ,
    TAX_CODE                          VARCHAR2(60)  ,
    FINAL_MATCH_FLAG                  VARCHAR2(4)   ,
    PO_HEADER_ID                      NUMBER        ,
    PO_NUMBER                         VARCHAR2(120) ,
    PO_LINE_ID                        NUMBER        ,
    PO_LINE_NUMBER                    NUMBER        ,
    PO_LINE_LOCATION_ID               NUMBER        ,
    PO_SHIPMENT_NUM                   NUMBER        ,
    PO_DISTRIBUTION_ID                NUMBER        ,
    PO_DISTRIBUTION_NUM               NUMBER        ,
    INVENTORY_ITEM_ID                 NUMBER        ,
    ITEM_DESCRIPTION                  VARCHAR2(960) ,
    QUANTITY_INVOICED                 NUMBER        ,
    SHIP_TO_LOCATION_CODE             VARCHAR2(240) ,
    UNIT_PRICE                        NUMBER        ,
    DISTRIBUTION_SET_ID               NUMBER(18, 0) ,
    DISTRIBUTION_SET_NAME             VARCHAR2(200) ,
    DIST_CODE_CONCATENATED            VARCHAR2(1000),
    DIST_CODE_COMBINATION_ID          NUMBER(18, 0) ,
    AWT_GROUP_ID                      NUMBER(18, 0) ,
    AWT_GROUP_NAME                    VARCHAR2(100) ,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    ATTRIBUTE_CATEGORY                VARCHAR2(600) ,
    ATTRIBUTE1                        VARCHAR2(600) ,
    ATTRIBUTE2                        VARCHAR2(600) ,
    ATTRIBUTE3                        VARCHAR2(600) ,
    ATTRIBUTE4                        VARCHAR2(600) ,
    ATTRIBUTE5                        VARCHAR2(600) ,
    ATTRIBUTE6                        VARCHAR2(600) ,
    ATTRIBUTE7                        VARCHAR2(600) ,
    ATTRIBUTE8                        VARCHAR2(600) ,
    ATTRIBUTE9                        VARCHAR2(600) ,
    ATTRIBUTE10                       VARCHAR2(600) ,
    ATTRIBUTE11                       VARCHAR2(600) ,
    ATTRIBUTE12                       VARCHAR2(600) ,
    ATTRIBUTE13                       VARCHAR2(600) ,
    ATTRIBUTE14                       VARCHAR2(600) ,
    ATTRIBUTE15                       VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CATEGORY         VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE1                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE2                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE3                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE4                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE5                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE6                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE7                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE8                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE9                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE10                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE11                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE12                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE13                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE14                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE15                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE16                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE17                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE18                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE19                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE20                VARCHAR2(600) ,
    PO_RELEASE_ID                     NUMBER        ,
    RELEASE_NUM                       NUMBER        ,
    ACCOUNT_SEGMENT                   VARCHAR2(100) ,
    BALANCING_SEGMENT                 VARCHAR2(100) ,
    COST_CENTER_SEGMENT               VARCHAR2(100) ,
    PROJECT_ID                        NUMBER(18, 0) ,
    TASK_ID                           NUMBER(18, 0) ,
    EXPENDITURE_TYPE                  VARCHAR2(120) ,
    EXPENDITURE_ITEM_DATE             DATE          ,
    EXPENDITURE_ORGANIZATION_ID       NUMBER(18, 0) ,
    PA_ADDITION_FLAG                  VARCHAR2(4)   ,
    PA_QUANTITY                       NUMBER        ,
    USSGL_TRANSACTION_CODE            VARCHAR2(120) ,
    STAT_AMOUNT                       NUMBER        ,
    TYPE_1099                         VARCHAR2(40)  ,
    INCOME_TAX_REGION                 VARCHAR2(40)  ,
    ASSETS_TRACKING_FLAG              VARCHAR2(4)   ,
    TAX_CODE_ID                       NUMBER(18, 0) ,
    PRICE_CORRECTION_FLAG             VARCHAR2(4)   ,
    ORG_ID                            NUMBER(18, 0) ,
    RECEIPT_NUMBER                    VARCHAR2(120) ,
    RECEIPT_LINE_NUMBER               VARCHAR2(100) ,
    MATCH_OPTION                      VARCHAR2(100) ,
    PACKING_SLIP                      VARCHAR2(100) ,
    RCV_TRANSACTION_ID                NUMBER        ,
    PA_CC_AR_INVOICE_ID               NUMBER(18, 0) ,
    PA_CC_AR_INVOICE_LINE_NUM         NUMBER(18, 0) ,
    REFERENCE_1                       VARCHAR2(120) ,
    REFERENCE_2                       VARCHAR2(120) ,
    PA_CC_PROCESSED_CODE              VARCHAR2(4)   ,
    CARD_TRX_ID                       NUMBER(18, 0) ,
    CREDIT_CARD_TRX_ID                NUMBER(18, 0) ,
    AWARD_ID                          NUMBER(18, 0) ,
    VENDOR_ITEM_NUM                   VARCHAR2(100) ,
    TAXABLE_FLAG                      VARCHAR2(4)   ,
    PRICE_CORRECT_INV_NUM             VARCHAR2(200) ,
    EXTERNAL_DOC_LINE_REF             VARCHAR2(960) ,
    SERIAL_NUMBER                     VARCHAR2(140) ,
    MANUFACTURER                      VARCHAR2(120) ,
    MODEL_NUMBER                      VARCHAR2(160) ,
    WARRANTY_NUMBER                   VARCHAR2(60)  ,
    DEFERRED_ACCTG_FLAG               VARCHAR2(4)   ,
    DEF_ACCTG_START_DATE              DATE          ,
    DEF_ACCTG_END_DATE                DATE          ,
    DEF_ACCTG_NUMBER_OF_PERIODS       NUMBER        ,
    DEF_ACCTG_PERIOD_TYPE             VARCHAR2(60)  ,
    UNIT_OF_MEAS_LOOKUP_CODE          VARCHAR2(100) ,
    PRICE_CORRECT_INV_LINE_NUM        NUMBER        ,
    ASSET_BOOK_TYPE_CODE              VARCHAR2(120) ,
    ASSET_CATEGORY_ID                 NUMBER(18, 0) ,
    REQUESTER_ID                      NUMBER(18, 0) ,
    REQUESTER_FIRST_NAME              VARCHAR2(600) ,
    REQUESTER_LAST_NAME               VARCHAR2(600) ,
    REQUESTER_EMPLOYEE_NUM            VARCHAR2(120) ,
    APPLICATION_ID                    NUMBER(18, 0) ,
    PRODUCT_TABLE                     VARCHAR2(120) ,
    REFERENCE_KEY1                    VARCHAR2(600) ,
    REFERENCE_KEY2                    VARCHAR2(600) ,
    REFERENCE_KEY3                    VARCHAR2(600) ,
    REFERENCE_KEY4                    VARCHAR2(600) ,
    REFERENCE_KEY5                    VARCHAR2(600) ,
    PURCHASING_CATEGORY               VARCHAR2(4000),
    PURCHASING_CATEGORY_ID            NUMBER(18, 0) ,
    COST_FACTOR_ID                    NUMBER(18, 0) ,
    COST_FACTOR_NAME                  VARCHAR2(320) ,
    CONTROL_AMOUNT                    NUMBER        ,
    ASSESSABLE_VALUE                  NUMBER        ,
    DEFAULT_DIST_CCID                 NUMBER(18, 0) ,
    PRIMARY_INTENDED_USE              VARCHAR2(120) ,
    SHIP_TO_LOCATION_ID               NUMBER(18, 0) ,
    PRODUCT_TYPE                      VARCHAR2(960) ,
    PRODUCT_CATEGORY                  VARCHAR2(960) ,
    PRODUCT_FISC_CLASSIFICATION       VARCHAR2(960) ,
    USER_DEFINED_FISC_CLASS           VARCHAR2(960) ,
    TRX_BUSINESS_CATEGORY             VARCHAR2(960) ,
    TAX_REGIME_CODE                   VARCHAR2(120) ,
    TAX                               VARCHAR2(120) ,
    TAX_JURISDICTION_CODE             VARCHAR2(120) ,
    TAX_STATUS_CODE                   VARCHAR2(120) ,
    TAX_RATE_ID                       NUMBER(18, 0) ,
    TAX_RATE_CODE                     VARCHAR2(600) ,
    TAX_RATE                          NUMBER        ,
    INCL_IN_TAXABLE_LINE_FLAG         VARCHAR2(4)   ,
    SOURCE_APPLICATION_ID             NUMBER        ,
    SOURCE_ENTITY_CODE                VARCHAR2(120) ,
    SOURCE_EVENT_CLASS_CODE           VARCHAR2(120) ,
    SOURCE_TRX_ID                     NUMBER        ,
    SOURCE_LINE_ID                    NUMBER        ,
    SOURCE_TRX_LEVEL_TYPE             VARCHAR2(120) ,
    TAX_CLASSIFICATION_CODE           VARCHAR2(120) ,
    CC_REVERSAL_FLAG                  VARCHAR2(4)   ,
    COMPANY_PREPAID_INVOICE_ID        NUMBER(18, 0) ,
    EXPENSE_GROUP                     VARCHAR2(320) ,
    JUSTIFICATION                     VARCHAR2(960) ,
    MERCHANT_DOCUMENT_NUMBER          VARCHAR2(320) ,
    MERCHANT_NAME                     VARCHAR2(320) ,
    MERCHANT_REFERENCE                VARCHAR2(960) ,
    MERCHANT_TAX_REG_NUMBER           VARCHAR2(320) ,
    MERCHANT_TAXPAYER_ID              VARCHAR2(320) ,
    RECEIPT_CURRENCY_CODE             VARCHAR2(60)  ,
    RECEIPT_CONVERSION_RATE           NUMBER        ,
    RECEIPT_CURRENCY_AMOUNT           NUMBER        ,
    COUNTRY_OF_SUPPLY                 VARCHAR2(20)  ,
    AMOUNT_INCLUDES_TAX_FLAG          VARCHAR2(4)   ,
    PJC_CONTEXT_CATEGORY              VARCHAR2(160) ,
    PJC_PROJECT_ID                    NUMBER(18, 0) ,
    PJC_TASK_ID                       NUMBER(18, 0) ,
    PJC_EXPENDITURE_TYPE_ID           NUMBER(18, 0) ,
    PJC_EXPENDITURE_ITEM_DATE         DATE          ,
    PJC_ORGANIZATION_ID               NUMBER(18, 0) ,
    PJC_BILLABLE_FLAG                 VARCHAR2(4)   ,
    PJC_CAPITALIZABLE_FLAG            VARCHAR2(4)   ,
    PJC_WORK_TYPE_ID                  NUMBER(18, 0) ,
    PJC_CONTRACT_ID                   NUMBER(18, 0) ,
    PJC_CONTRACT_LINE_ID              NUMBER(18, 0) ,
    PJC_FUNDING_ALLOCATION_ID         NUMBER(18, 0) ,
    PJC_RESERVED_ATTRIBUTE1           VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE2           VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE3           VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE4           VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE5           VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE6           VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE7           VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE8           VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE9           VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE10          VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE1           VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE2           VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE3           VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE4           VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE5           VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE6           VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE7           VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE8           VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE9           VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE10          VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1                 NUMBER        ,
    ATTRIBUTE_NUMBER2                 NUMBER        ,
    ATTRIBUTE_NUMBER3                 NUMBER        ,
    ATTRIBUTE_NUMBER4                 NUMBER        ,
    ATTRIBUTE_NUMBER5                 NUMBER        ,
    ATTRIBUTE_DATE1                   DATE          ,
    ATTRIBUTE_DATE2                   DATE          ,
    ATTRIBUTE_DATE3                   DATE          ,
    ATTRIBUTE_DATE4                   DATE          ,
    ATTRIBUTE_DATE5                   DATE          ,
    GLOBAL_ATTRIBUTE_NUMBER1          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER2          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER3          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER4          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER5          NUMBER        ,
    GLOBAL_ATTRIBUTE_DATE1            DATE          ,
    GLOBAL_ATTRIBUTE_DATE2            DATE          ,
    GLOBAL_ATTRIBUTE_DATE3            DATE          ,
    GLOBAL_ATTRIBUTE_DATE4            DATE          ,
    GLOBAL_ATTRIBUTE_DATE5            DATE          ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    LOAD_REQUEST_ID                   NUMBER(18, 0)     NOT NULL,
    BUDGET_DATE                       DATE          ,
    LCM_ENABLED_FLAG                  VARCHAR2(4)   ,
    CONSUMPTION_ADVICE_HEADER_ID      NUMBER(18, 0) ,
    CONSUMPTION_ADVICE_LINE_ID        NUMBER(18, 0) ,
    CONSUMPTION_ADVICE_NUMBER         VARCHAR2(80)  ,
    CONSUMPTION_ADVICE_LINE_NUMBER    NUMBER        ,
    SHIP_FROM_LOCATION_ID             NUMBER(18, 0) ,
    SHIP_FROM_LOCATION_CODE           VARCHAR2(240) ,
    FINAL_DISCHARGE_LOCATION_ID       NUMBER(18, 0) ,
    FINAL_DISCHARGE_LOCATION_CODE     VARCHAR2(240) ,
    AUTOMATIC_MATCHING_FLAG           VARCHAR2(4)   ,
    MATCHING_RULE_SET_ID              NUMBER(18, 0) ,
    MATCHING_RULE_ID                  NUMBER(18, 0) ,
    FISCAL_CHARGE_TYPE                VARCHAR2(120) ,
    PJC_PROJECT_NAME                  VARCHAR2(960) ,
    PJC_TASK_NUMBER                   VARCHAR2(400) ,
    PJC_EXPENDITURE_TYPE_NAME         VARCHAR2(960) ,
    PJC_ORGANIZATION_NAME             VARCHAR2(960) ,
    PJC_PROJECT_NUMBER                VARCHAR2(100) ,
    INVOICE_ID                        NUMBER(18, 0)     NOT NULL,
    INVOICE_LINE_ID                   NUMBER(18, 0)     NOT NULL,
    LINE_NUMBER                       NUMBER(18, 0) ,
    LINE_TYPE_LOOKUP_CODE             VARCHAR2(100) ,
    LINE_GROUP_NUMBER                 NUMBER        ,
    AMOUNT                            NUMBER        ,
    ACCOUNTING_DATE                   DATE          ,
    DESCRIPTION                       VARCHAR2(960) ,
    PRORATE_ACROSS_FLAG               VARCHAR2(4)   ,
    TAX_CODE                          VARCHAR2(60)  ,
    FINAL_MATCH_FLAG                  VARCHAR2(4)   ,
    PO_HEADER_ID                      NUMBER        ,
    PO_NUMBER                         VARCHAR2(120) ,
    PO_LINE_ID                        NUMBER        ,
    PO_LINE_NUMBER                    NUMBER        ,
    PO_LINE_LOCATION_ID               NUMBER        ,
    PO_SHIPMENT_NUM                   NUMBER        ,
    PO_DISTRIBUTION_ID                NUMBER        ,
    PO_DISTRIBUTION_NUM               NUMBER        ,
    INVENTORY_ITEM_ID                 NUMBER        ,
    ITEM_DESCRIPTION                  VARCHAR2(960) ,
    QUANTITY_INVOICED                 NUMBER        ,
    SHIP_TO_LOCATION_CODE             VARCHAR2(240) ,
    UNIT_PRICE                        NUMBER        ,
    DISTRIBUTION_SET_ID               NUMBER(18, 0) ,
    DISTRIBUTION_SET_NAME             VARCHAR2(200) ,
    DIST_CODE_CONCATENATED            VARCHAR2(1000),
    DIST_CODE_COMBINATION_ID          NUMBER(18, 0) ,
    AWT_GROUP_ID                      NUMBER(18, 0) ,
    AWT_GROUP_NAME                    VARCHAR2(100) ,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    ATTRIBUTE_CATEGORY                VARCHAR2(600) ,
    ATTRIBUTE1                        VARCHAR2(600) ,
    ATTRIBUTE2                        VARCHAR2(600) ,
    ATTRIBUTE3                        VARCHAR2(600) ,
    ATTRIBUTE4                        VARCHAR2(600) ,
    ATTRIBUTE5                        VARCHAR2(600) ,
    ATTRIBUTE6                        VARCHAR2(600) ,
    ATTRIBUTE7                        VARCHAR2(600) ,
    ATTRIBUTE8                        VARCHAR2(600) ,
    ATTRIBUTE9                        VARCHAR2(600) ,
    ATTRIBUTE10                       VARCHAR2(600) ,
    ATTRIBUTE11                       VARCHAR2(600) ,
    ATTRIBUTE12                       VARCHAR2(600) ,
    ATTRIBUTE13                       VARCHAR2(600) ,
    ATTRIBUTE14                       VARCHAR2(600) ,
    ATTRIBUTE15                       VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CATEGORY         VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE1                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE2                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE3                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE4                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE5                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE6                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE7                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE8                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE9                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE10                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE11                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE12                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE13                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE14                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE15                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE16                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE17                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE18                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE19                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE20                VARCHAR2(600) ,
    PO_RELEASE_ID                     NUMBER        ,
    RELEASE_NUM                       NUMBER        ,
    ACCOUNT_SEGMENT                   VARCHAR2(100) ,
    BALANCING_SEGMENT                 VARCHAR2(100) ,
    COST_CENTER_SEGMENT               VARCHAR2(100) ,
    PROJECT_ID                        NUMBER(18, 0) ,
    TASK_ID                           NUMBER(18, 0) ,
    EXPENDITURE_TYPE                  VARCHAR2(120) ,
    EXPENDITURE_ITEM_DATE             DATE          ,
    EXPENDITURE_ORGANIZATION_ID       NUMBER(18, 0) ,
    PA_ADDITION_FLAG                  VARCHAR2(4)   ,
    PA_QUANTITY                       NUMBER        ,
    USSGL_TRANSACTION_CODE            VARCHAR2(120) ,
    STAT_AMOUNT                       NUMBER        ,
    TYPE_1099                         VARCHAR2(40)  ,
    INCOME_TAX_REGION                 VARCHAR2(40)  ,
    ASSETS_TRACKING_FLAG              VARCHAR2(4)   ,
    TAX_CODE_ID                       NUMBER(18, 0) ,
    PRICE_CORRECTION_FLAG             VARCHAR2(4)   ,
    ORG_ID                            NUMBER(18, 0) ,
    RECEIPT_NUMBER                    VARCHAR2(120) ,
    RECEIPT_LINE_NUMBER               VARCHAR2(100) ,
    MATCH_OPTION                      VARCHAR2(100) ,
    PACKING_SLIP                      VARCHAR2(100) ,
    RCV_TRANSACTION_ID                NUMBER        ,
    PA_CC_AR_INVOICE_ID               NUMBER(18, 0) ,
    PA_CC_AR_INVOICE_LINE_NUM         NUMBER(18, 0) ,
    REFERENCE_1                       VARCHAR2(120) ,
    REFERENCE_2                       VARCHAR2(120) ,
    PA_CC_PROCESSED_CODE              VARCHAR2(4)   ,
    CARD_TRX_ID                       NUMBER(18, 0) ,
    CREDIT_CARD_TRX_ID                NUMBER(18, 0) ,
    AWARD_ID                          NUMBER(18, 0) ,
    VENDOR_ITEM_NUM                   VARCHAR2(100) ,
    TAXABLE_FLAG                      VARCHAR2(4)   ,
    PRICE_CORRECT_INV_NUM             VARCHAR2(200) ,
    EXTERNAL_DOC_LINE_REF             VARCHAR2(960) ,
    SERIAL_NUMBER                     VARCHAR2(140) ,
    MANUFACTURER                      VARCHAR2(120) ,
    MODEL_NUMBER                      VARCHAR2(160) ,
    WARRANTY_NUMBER                   VARCHAR2(60)  ,
    DEFERRED_ACCTG_FLAG               VARCHAR2(4)   ,
    DEF_ACCTG_START_DATE              DATE          ,
    DEF_ACCTG_END_DATE                DATE          ,
    DEF_ACCTG_NUMBER_OF_PERIODS       NUMBER        ,
    DEF_ACCTG_PERIOD_TYPE             VARCHAR2(60)  ,
    UNIT_OF_MEAS_LOOKUP_CODE          VARCHAR2(100) ,
    PRICE_CORRECT_INV_LINE_NUM        NUMBER        ,
    ASSET_BOOK_TYPE_CODE              VARCHAR2(120) ,
    ASSET_CATEGORY_ID                 NUMBER(18, 0) ,
    REQUESTER_ID                      NUMBER(18, 0) ,
    REQUESTER_FIRST_NAME              VARCHAR2(600) ,
    REQUESTER_LAST_NAME               VARCHAR2(600) ,
    REQUESTER_EMPLOYEE_NUM            VARCHAR2(120) ,
    APPLICATION_ID                    NUMBER(18, 0) ,
    PRODUCT_TABLE                     VARCHAR2(120) ,
    REFERENCE_KEY1                    VARCHAR2(600) ,
    REFERENCE_KEY2                    VARCHAR2(600) ,
    REFERENCE_KEY3                    VARCHAR2(600) ,
    REFERENCE_KEY4                    VARCHAR2(600) ,
    REFERENCE_KEY5                    VARCHAR2(600) ,
    PURCHASING_CATEGORY               VARCHAR2(4000),
    PURCHASING_CATEGORY_ID            NUMBER(18, 0) ,
    COST_FACTOR_ID                    NUMBER(18, 0) ,
    COST_FACTOR_NAME                  VARCHAR2(320) ,
    CONTROL_AMOUNT                    NUMBER        ,
    ASSESSABLE_VALUE                  NUMBER        ,
    DEFAULT_DIST_CCID                 NUMBER(18, 0) ,
    PRIMARY_INTENDED_USE              VARCHAR2(120) ,
    SHIP_TO_LOCATION_ID               NUMBER(18, 0) ,
    PRODUCT_TYPE                      VARCHAR2(960) ,
    PRODUCT_CATEGORY                  VARCHAR2(960) ,
    PRODUCT_FISC_CLASSIFICATION       VARCHAR2(960) ,
    USER_DEFINED_FISC_CLASS           VARCHAR2(960) ,
    TRX_BUSINESS_CATEGORY             VARCHAR2(960) ,
    TAX_REGIME_CODE                   VARCHAR2(120) ,
    TAX                               VARCHAR2(120) ,
    TAX_JURISDICTION_CODE             VARCHAR2(120) ,
    TAX_STATUS_CODE                   VARCHAR2(120) ,
    TAX_RATE_ID                       NUMBER(18, 0) ,
    TAX_RATE_CODE                     VARCHAR2(600) ,
    TAX_RATE                          NUMBER        ,
    INCL_IN_TAXABLE_LINE_FLAG         VARCHAR2(4)   ,
    SOURCE_APPLICATION_ID             NUMBER        ,
    SOURCE_ENTITY_CODE                VARCHAR2(120) ,
    SOURCE_EVENT_CLASS_CODE           VARCHAR2(120) ,
    SOURCE_TRX_ID                     NUMBER        ,
    SOURCE_LINE_ID                    NUMBER        ,
    SOURCE_TRX_LEVEL_TYPE             VARCHAR2(120) ,
    TAX_CLASSIFICATION_CODE           VARCHAR2(120) ,
    CC_REVERSAL_FLAG                  VARCHAR2(4)   ,
    COMPANY_PREPAID_INVOICE_ID        NUMBER(18, 0) ,
    EXPENSE_GROUP                     VARCHAR2(320) ,
    JUSTIFICATION                     VARCHAR2(960) ,
    MERCHANT_DOCUMENT_NUMBER          VARCHAR2(320) ,
    MERCHANT_NAME                     VARCHAR2(320) ,
    MERCHANT_REFERENCE                VARCHAR2(960) ,
    MERCHANT_TAX_REG_NUMBER           VARCHAR2(320) ,
    MERCHANT_TAXPAYER_ID              VARCHAR2(320) ,
    RECEIPT_CURRENCY_CODE             VARCHAR2(60)  ,
    RECEIPT_CONVERSION_RATE           NUMBER        ,
    RECEIPT_CURRENCY_AMOUNT           NUMBER        ,
    COUNTRY_OF_SUPPLY                 VARCHAR2(20)  ,
    AMOUNT_INCLUDES_TAX_FLAG          VARCHAR2(4)   ,
    PJC_CONTEXT_CATEGORY              VARCHAR2(160) ,
    PJC_PROJECT_ID                    NUMBER(18, 0) ,
    PJC_TASK_ID                       NUMBER(18, 0) ,
    PJC_EXPENDITURE_TYPE_ID           NUMBER(18, 0) ,
    PJC_EXPENDITURE_ITEM_DATE         DATE          ,
    PJC_ORGANIZATION_ID               NUMBER(18, 0) ,
    PJC_BILLABLE_FLAG                 VARCHAR2(4)   ,
    PJC_CAPITALIZABLE_FLAG            VARCHAR2(4)   ,
    PJC_WORK_TYPE_ID                  NUMBER(18, 0) ,
    PJC_CONTRACT_ID                   NUMBER(18, 0) ,
    PJC_CONTRACT_LINE_ID              NUMBER(18, 0) ,
    PJC_FUNDING_ALLOCATION_ID         NUMBER(18, 0) ,
    PJC_RESERVED_ATTRIBUTE1           VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE2           VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE3           VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE4           VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE5           VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE6           VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE7           VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE8           VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE9           VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE10          VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE1           VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE2           VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE3           VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE4           VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE5           VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE6           VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE7           VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE8           VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE9           VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE10          VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1                 NUMBER        ,
    ATTRIBUTE_NUMBER2                 NUMBER        ,
    ATTRIBUTE_NUMBER3                 NUMBER        ,
    ATTRIBUTE_NUMBER4                 NUMBER        ,
    ATTRIBUTE_NUMBER5                 NUMBER        ,
    ATTRIBUTE_DATE1                   DATE          ,
    ATTRIBUTE_DATE2                   DATE          ,
    ATTRIBUTE_DATE3                   DATE          ,
    ATTRIBUTE_DATE4                   DATE          ,
    ATTRIBUTE_DATE5                   DATE          ,
    GLOBAL_ATTRIBUTE_NUMBER1          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER2          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER3          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER4          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER5          NUMBER        ,
    GLOBAL_ATTRIBUTE_DATE1            DATE          ,
    GLOBAL_ATTRIBUTE_DATE2            DATE          ,
    GLOBAL_ATTRIBUTE_DATE3            DATE          ,
    GLOBAL_ATTRIBUTE_DATE4            DATE          ,
    GLOBAL_ATTRIBUTE_DATE5            DATE          ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    LOAD_REQUEST_ID                   NUMBER(18, 0)     NOT NULL,
    BUDGET_DATE                       DATE          ,
    LCM_ENABLED_FLAG                  VARCHAR2(4)   ,
    CONSUMPTION_ADVICE_HEADER_ID      NUMBER(18, 0) ,
    CONSUMPTION_ADVICE_LINE_ID        NUMBER(18, 0) ,
    CONSUMPTION_ADVICE_NUMBER         VARCHAR2(80)  ,
    CONSUMPTION_ADVICE_LINE_NUMBER    NUMBER        ,
    SHIP_FROM_LOCATION_ID             NUMBER(18, 0) ,
    SHIP_FROM_LOCATION_CODE           VARCHAR2(240) ,
    FINAL_DISCHARGE_LOCATION_ID       NUMBER(18, 0) ,
    FINAL_DISCHARGE_LOCATION_CODE     VARCHAR2(240) ,
    AUTOMATIC_MATCHING_FLAG           VARCHAR2(4)   ,
    MATCHING_RULE_SET_ID              NUMBER(18, 0) ,
    MATCHING_RULE_ID                  NUMBER(18, 0) ,
    FISCAL_CHARGE_TYPE                VARCHAR2(120) ,
    PJC_PROJECT_NAME                  VARCHAR2(960) ,
    PJC_TASK_NUMBER                   VARCHAR2(400) ,
    PJC_EXPENDITURE_TYPE_NAME         VARCHAR2(960) ,
    PJC_ORGANIZATION_NAME             VARCHAR2(960) ,
    PJC_PROJECT_NUMBER                VARCHAR2(100) 
);
